<?php
/*
# ------------------------------------------------------------------------
# Extensions for Joomla 2.5.x - Joomla 3.x - Joomla 4.x
# ------------------------------------------------------------------------
# Copyright (C) 2011-2020 Eco-Joom.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2.
# Author: Eco-Joom.com
# Author: Makeev Vladimir
#Author email: v.v.makeev@icloud.com
# Websites:  http://eco-joom.com
# Date modified: 05/05/2020 - 13:00
# ------------------------------------------------------------------------
*/


// No direct access.
defined('_JEXEC') or die;

class plgContentExtcustomhtml extends JPlugin {
	public function onContentAfterDisplay($context, &$row, &$params, $page=0)	{	
		if($context == 'com_content.article') {
			
			//exclude
			$ext_exclude_categories 	= $this->params->get('ext_exclude_categories', 0);
			$ext_exclude_articles 		= $this->params->get('ext_exclude_articles', '');
			
			//exclude category
			if(!empty($ext_exclude_categories) AND strlen(array_search($row->catid, $ext_exclude_categories))){			
				return false;
			}			
			//exclude article 
			$excludeArray = explode(",",$ext_exclude_articles);
			if(!empty($ext_exclude_articles) AND strlen(array_search($row->id, $excludeArray))){
				return false;
			}
			
			//params
			$ext_html			 	= $this->params->get('ext_html');
			$ext_class				= $this->params->get('ext_class','ext_custom_html');
			$ext_display			= (int)$this->params->get('ext_display', 0);
			$ext_introtext			= (int)$this->params->get('ext_introtext', 1);
			
			// code
			$html = '<div class="'.$ext_class.'">'.$ext_html.'<div style="clear:both;"></div></div>';
			// display code
			if ($ext_display > 0) {
				if ($ext_introtext > 0) {
					$row->introtext = $html . $row->introtext;
				}
				$row->text = $html . $row->text;	
				
			} else {					
					if ($ext_introtext > 0) {
						$row->introtext .= $html;
					}
					$row->text .= $html;
				}
			
			return;
		}
	}
}